# react-data-collection

[![npm-badge]][npm-url]
<!-- [![type-badge]][npm-url]
[![size-badge]][size-url] -->

[npm-badge]: https://img.shields.io/npm/v/mi-grid
[npm-url]: https://www.npmjs.com/package/mi-grid
<!-- [size-badge]: https://img.shields.io/bundlephobia/minzip/mi-grid
[size-url]: https://bundlephobia.com/package/mi-grid
[type-badge]: https://img.shields.io/npm/types/mi-grid -->

## Features

The standard set of features availble which is expected from any grid:

- Column Interactions (resize, reorder, and pin columns)
- Pagination
- Sorting
- Filtering
- Row Selection
- Frozen columns
- Column resizing
- Multi-column sorting
- Column spanning
- Column grouping
- Row selection
- Row grouping
- Summary rows
- Add and remove rows and columns
- Dynamic row heights
- No rows fallback
- Find and Replace
- Cell formatting
- Adding Formula to cell
- Cell editing
- Cell copy / pasting
- Cell value dragging / filling
- Customizable Renderers
- Right-to-left (RTL) support


<!-- - [React 18.0+](package.json) support
- [Evergreen browsers and server-side rendering](browserslist) support
- Great performance thanks to virtualization: columns and rows outside the viewport are not rendered
- Strictly typed with TypeScript
- [Keyboard accessibility](<(https://adazzle.github.io/react-data-grid/#/common-features)>)
- Light and dark mode support out of the box. The light or dark themes can be enforced using the `rdg-light` or `rdg-dark` classes. -->


<!-- ## Links

- [Examples website](https://adazzle.github.io/react-data-grid/)
  - [Source code](website)
- [Old website for react-data-grid v6](https://adazzle.github.io/react-data-grid/old/)
- [Changelog](CHANGELOG.md)
- [Contributing](CONTRIBUTING.md) -->
## 🖥 Environment Support

- Modern browsers
- Server-side Rendering

[<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br>Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br>Safari 
| --- | --- | --- | --- |
| Edge | last 2 versions | last 2 versions | last 2 versions 

## 📦  Install

```sh
npm install react-data-collection
```

`react-data-collection` is published as ECMAScript modules for evergreen browsers / bundlers, and CommonJS for server-side rendering / Jest.

